<?
include 'config.php';
include 'func.php';
head();
aut();
ban();

mysql_query("UPDATE `profile` SET `online` = 'panel' WHERE `id` = '".$id_session."'");




echo "<div class=\"head\"><b>Админка</b></div><div class=\"main\">";
echo '<a href="icq.php">Назад</a> | <b>Админка:</b><br/><br/>';
$all = mysql_result(mysql_query("SELECT COUNT(*) FROM `icq_all`"), 0);
$all_2 = mysql_result(mysql_query("SELECT COUNT(*) FROM `icq_prod`"), 0);

if(isset($_POST['nomer']) && $_POST['nomer']!=NULL && isset($_POST['pass']) && $_POST['pass']!=NULL && isset($_POST['cena']) && $_POST['cena']!=NULL){
$nomer = mysql_escape_string($_POST['nomer']);$pass = mysql_escape_string($_POST['pass']);$cena = mysql_escape_string($_POST['cena']);
mysql_query("INSERT INTO `icq_all` (`nomer`, `pass`, `cena`) VALUES ('$nomer', '$pass', '$cena')");
echo 'Номер успешно добавлен в базу';}

if((!$_GET['mode']=='prodazha') OR (!$_GET['mode']=='prodano')){
echo '<form method="post" action="icq_panel.php?">';
echo '<b>Введите номер</b> <small>[max. 9]</small>:<br/><input name="nomer"/><br/>';
echo '<b>Пароль от номера</b> <small>[max. 8]</small>:<br/><input name="pass"/><br/>';
echo '<b>Цена за номер</b>:<br/><input name="cena"/><br/>';
echo '<input value="Добавить" type="submit" class="button"/></form><br/>';

echo '<b>Статистика:</b><br/>';


echo " - В базе: <b>".$all."</b><br/>";
echo " - Купили: <b>".$all_2."</b><br/><br/>";
echo '<b>Списки номеров:</b><br/>';
echo " - <a href=\"icq_panel.php?mode=prodazha\">На продаже</a><br/>";
echo " - <a href=\"icq_panel.php?mode=prodano\">Купленные</a><br/><br/>";
}
if($_GET['mode']=='prodazha'){
echo '<a href="icq_panel.php">Назад</a> | <b>На продаже:</b><br/><br/>';
if($all == '0'){
echo 'Список номеров пуст.<br/>';
}else{
    if($all){
$onpage = 5;
$allpage = ceil($all/$onpage);
$this_page = (isset($_GET['p'])) ? intval($_GET['p']) : 1 ;
if($this_page < 1 || $this_page > $allpage)$this_page = 1;
$start = $this_page*$onpage - $onpage;

$q = mysql_query("SELECT * FROM `icq_all` limit ".$start.",".$onpage."");
while($post = mysql_fetch_array($q)){
echo '<b>UIN</b>: '.$post['nomer'].'<br/>Password: '.$post['pass'].'<br/>Цена: '.$post['cena'].' баллов<hr>';

}
echo '<b>Страницы: </b>';
navigation($allpage,"icq_panel.php?mode=prodazha&p={p}",1,1);
}
}

}else if($_GET['mode']=='prodano'){
echo '<a href="icq_panel.php">Назад</a> | <b>Купленные:</b><br/><br/>';


if($all_2 == '0'){
echo 'Купленных номеров нет.<br/>';
}else{
if($all_2){
$onpage = 5;
$allpage = ceil($all_2/$onpage);
$this_page = (isset($_GET['p'])) ? intval($_GET['p']) : 1 ;
if($this_page < 1 || $this_page > $allpage)$this_page = 1;
$start = $this_page*$onpage - $onpage;
$q = mysql_query("SELECT * FROM `icq_prod` limit ".$start.",".$onpage."");
while($post = mysql_fetch_array($q)){
$user = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".$post['id_user_icq']."'"));
echo '<b>UIN</b>: '.$post['nomer'].'<br/>Купил <a href="../profile.php?id='.$post['id_user_icq'].'">'.$user['login'].'</a><hr>';

}
echo '<b>Страницы: </b>';
navigation($allpage,"icq_panel.php?mode=prodano&p={p}",1,1);
}
}
}


navig();
foot();
?>
  